Bug 1446256

Summary: [RFE] Too large dependency chain
Product: [Fedora] Fedora Reporter: Colin Walters <walters>
Component: subscription-managerAssignee: Alex Wood <awood>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: alikins, awood, bkearney, carl, csnyder
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: subscription-manager-1.24.2-1.fc27 subscription-manager-1.24.2-1.fc28 subscription-manager-1.24.2-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-15 02:13:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Colin Walters 2017-04-27 14:16:42 UTC
As a user of Fedora Atomic Host, I may want to run RHEL-based containers.  However, the dependency chain right now is large.  It looks like there are two major problems:

 - Dependency on dbus-x11 (why?)
 - Dependency on yum/dnf

```
# atomic host status
State: idle
‚óŹ fedora-atomic:fedora-atomic/25/x86_64/docker-host
             Version: 25.113 (2017-04-25 01:47:29)
          BaseCommit: 3492546bc1ef6bca1bc7801ed6bb0414f90cc96668e067996dba3dee0d83e6c3
              OSName: fedora-atomic

[root@localhost ~]# rpm-ostree install subscription-manager
...
Transaction complete; bootconfig swap: yes deployment count change: 0
Added:
  dbus-python-1.2.4-2.fc25.x86_64
  dbus-x11-1:1.11.12-1.fc25.x86_64
  deltarpm-3.6-17.fc25.x86_64
  dmidecode-1:3.0-7.fc25.x86_64
  dnf-1.1.10-6.fc25.noarch
  dnf-conf-1.1.10-6.fc25.noarch
  dnf-yum-1.1.10-6.fc25.noarch
  hawkey-0.6.4-3.fc25.x86_64
  libICE-1.0.9-8.fc25.x86_64
  libSM-1.2.2-4.fc24.x86_64
  libX11-1.6.4-4.fc25.x86_64
  libX11-common-1.6.4-4.fc25.noarch
  libXau-1.0.8-6.fc24.x86_64
  libXcursor-1.1.14-6.fc24.x86_64
  libXext-1.3.3-4.fc24.x86_64
  libXfixes-5.0.3-1.fc25.x86_64
  libXi-1.7.9-1.fc25.x86_64
  libXinerama-1.1.3-6.fc24.x86_64
  libXmu-1.1.2-4.fc24.x86_64
  libXrandr-1.5.1-1.fc25.x86_64
  libXrender-0.9.10-1.fc25.x86_64
  libXt-1.1.5-3.fc24.x86_64
  libXxf86misc-1.0.3-11.fc24.x86_64
  libXxf86vm-1.1.4-3.fc24.x86_64
  libbsd-0.8.3-1.fc25.x86_64
  libcomps-0.1.7-5.fc25.x86_64
  libmcpp-2.7.2-16.fc24.x86_64
  libxcb-1.12-1.fc25.x86_64
  mcpp-2.7.2-16.fc24.x86_64
  pyliblzma-0.5.3-16.fc25.x86_64
  python-dmidecode-3.12.2-4.fc25.x86_64
  python-ethtool-0.11-7.fc25.x86_64
  python-gobject-base-3.22.0-1.fc25.x86_64
  python-libxml2-2.9.4-2.fc25.x86_64
  python-pycurl-7.43.0-4.fc25.x86_64
  python-rhsm-1.19.4-1.fc25.x86_64
  python-rhsm-certificates-1.19.4-1.fc25.x86_64
  python-urlgrabber-3.10.1-9.fc25.noarch
  python2-dateutil-1:2.6.0-1.fc25.noarch
  python2-decorator-4.0.11-1.fc25.noarch
  python2-iniparse-0.4-20.fc25.noarch
  python2-pygpgme-0.3-18.fc25.x86_64
  python2-rpm-4.13.0.1-1.fc25.x86_64
  python3-dnf-1.1.10-6.fc25.noarch
  python3-hawkey-0.6.4-3.fc25.x86_64
  python3-iniparse-0.4-20.fc25.noarch
  python3-libcomps-0.1.7-5.fc25.x86_64
  python3-librepo-1.7.18-3.fc25.x86_64
  python3-pygpgme-0.3-18.fc25.x86_64
  pyxattr-0.5.3-8.fc25.x86_64
  rpm-plugin-systemd-inhibit-4.13.0.1-1.fc25.x86_64
  subscription-manager-1.19.7-1.fc25.x86_64
  usermode-1.111-8.fc24.x86_64
  virt-what-1.15-4.fc25.x86_64
  xorg-x11-server-utils-7.7-20.fc25.x86_64
  xorg-x11-xauth-1:1.0.9-5.fc24.x86_64
  xorg-x11-xinit-1.3.4-13.fc25.x86_64
  yum-3.4.3-510.fc25.noarch
  yum-metadata-parser-1.1.4-17.fc25.x86_64
Run "systemctl reboot" to start a reboot
#
```

Comment 1 Fedora Update System 2018-11-05 22:55:41 UTC
subscription-manager-1.24.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 2 Fedora Update System 2018-11-05 22:56:19 UTC
subscription-manager-1.24.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 3 Fedora Update System 2018-11-05 22:57:01 UTC
subscription-manager-1.24.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 4 Fedora Update System 2018-11-06 22:02:15 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 5 Fedora Update System 2018-11-06 22:46:04 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 6 Fedora Update System 2018-11-06 23:28:40 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 7 Fedora Update System 2018-11-15 02:13:03 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-11-15 02:29:02 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-15 03:14:33 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.